# binaryninja.types.NamedTypeReference

class `binaryninja.types.``NamedTypeReference`(type_class=<NamedTypeReferenceClass.UnknownNamedTypeClass: 0>, type_id=None, name=None, handle=None)
  `__init__`(type_class=<NamedTypeReferenceClass.UnknownNamedTypeClass: 0>, type_id=None, name=None, handle=None)

  Methods

  `__init__`([type_class, type_id, name, handle]) |
  `generate_auto_demangled_type_ref`(type_class, ...) |
  `generate_auto_type_ref`(type_class, source, name) |

  Attributes

  `name` |
  `type_class` |
  `type_id` |